Bug 141906 - Floating toolbars cannot be grabbed
Floating toolbars cannot be grabbed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libbonoboui (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-04 22:11 EST by Jim Evins
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:08:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Evins 2004-12-04 22:11:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
Once a bonobo-ui toolbar is dropped in a non-docked position, it can
no longer be grabbed and dragged anymore.



Version-Release number of selected component (if applicable):
libbonoboui-2.8.0.99cvs20040929-2

How reproducible:
Always

Steps to Reproduce:
1. Open gedit (2.8.1-2.fc3)
2. Grab toolbar by handle and drag to the desktop (not docked to the
gedit window) and release
3. Now try to grab the toolbar handle to drag it back
    

Actual Results:  Cannot grab the toolbar handle, the toolbar is
effectively locked to where you dropped it.

Expected Results:  I expect to be able to grab the toolbar handle and
drag the toolbar back to its original docked position.  I don't expect
it to get stranded where I dropped it.

Additional info:

I have tried these same steps on the same machine using the Ubuntu
Live CD and got the expected results.

I know this is not isolated to gedit, because bonobo-ui toolbars in my
own application compiled on FC3 do the same thing.
Comment 1 Matthew Miller 2006-07-10 17:33:43 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-11-05 11:08:54 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.